import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/color_manager.dart';

class GradientCanvasBorderWidget extends StatelessWidget {
  final double top;
  final double bottom;
  final double left;
  final double width;

  const GradientCanvasBorderWidget({
    super.key,
    this.top = 0,
    this.bottom = 0,
    this.left = 300,
    this.width = 8,
  });

  @override
  Widget build(BuildContext context) {
    return Positioned(
      top: top,
      bottom: bottom,
      left: left,
      width: width,
      child: Container(
        decoration: BoxDecoration(
          gradient: LinearGradient(
            begin: Alignment.centerLeft,
            end: Alignment.centerRight,
            colors: [
              ColorsManager.semiTransparentBlackColor.withOpacity(0.1),
              ColorsManager.transparentColor,
            ],
          ),
        ),
      ),
    );
  }
}
